function DialogFaultAdded() {

    var self = {};

    self.selection = {};

    return self;

}

var dialogFaultAdded = DialogFaultAdded();




$(document).on("pageshow", "#dialog_faultadded", function (e) {

    $("#faultaddedbutton").unbind().click(function () {
        $(":mobile-pagecontainer").pagecontainer("change", "#page_machinedetail", { role: "page", reverse: false, changeHash: false });
        e4('dialogfaultadded row 20');

    })


    var newfaultid = $.cookie("newfault_job_id");
    var message = ReturnPhraseOnKey("dialogue_faultadded_part1");
    message += newfaultid;
    message += ReturnPhraseOnKey("dialogue_faultadded_part2");


    $("#faultadded_header").html(message);

});